#!/usr/env python

import argparse
import sys

from pkg_resources import resource_filename


def parse_args_or_exit(argv=None):
    """
    Parse command line options
    """
    parser = argparse.ArgumentParser(description="Print hotfix resources")
    parser.add_argument("--makefile", action="store_true",
                        help="Path name of makefile template")
    parser.add_argument("--livepatch-makefile", action="store_true",
                        help="Path name of livepatch makefile template")
    parser.add_argument("--generate-livepatch-precheck", action="store_true",
                        help="Path name of precheck script generator")

    return parser.parse_args(argv)


def main(argv):
    """
    Print path to various hotfix building resources
    """
    args = parse_args_or_exit(argv)

    if args.makefile:
        print resource_filename(__name__, "update.mk")
    if args.livepatch_makefile:
        print resource_filename(__name__, "livepatch.mk")
    if args.generate_livepatch_precheck:
        print resource_filename(__name__, "generate-livepatch-precheck")


def _main():
    """
    Entry point for setuptools CLI wrapper
    """
    main(sys.argv[1:])


# Entry point when run directly
if __name__ == "__main__":
    _main()
